/////////////////////////////////////////////////////////////////////////////
// Name:        stltask.h
// Purpose:     header for STLTask.cpp program
// Author:      Leor Zolman (except for all the stuff by Julian Smart)
/////////////////////////////////////////////////////////////////////////////

#include <string>
using namespace std;

class StlTask: public wxTaskBarIcon
{
public:
	StlTask() {};

    virtual void OnMouseMove(wxEvent&);
    virtual void OnLButtonDown(wxEvent&);
    virtual void OnLButtonUp(wxEvent&);
    virtual void OnRButtonDown(wxEvent&);
    virtual void OnRButtonUp(wxEvent&);
    virtual void OnLButtonDClick(wxEvent&);
    virtual void OnRButtonDClick(wxEvent&);

    void OnMenuRestore(wxCommandEvent&);
    void Enable(wxCommandEvent&);
    void Disable(wxCommandEvent&);
    void Install(wxCommandEvent&);
    void Uninstall(wxCommandEvent&);
    void OnMenuExit(wxCommandEvent&);
    void DoClipBoard(wxCommandEvent&);
	void WipeOut(wxCommandEvent&);
DECLARE_EVENT_TABLE()
};


// Define a new application
class MyApp: public wxApp
{
public:
	~MyApp();
    bool OnInit(void);
	void MyApp::OnEndSession(wxCloseEvent& event);
//protected:
    StlTask   m_taskBarIcon;
	wxIcon *onp;
	wxIcon *offp;

	DECLARE_EVENT_TABLE()
};

class MyDialog: public wxDialog
{
public:
    MyDialog(wxWindow* parent, const wxWindowID id, const wxString& title,
        const wxPoint& pos, const wxSize& size, const long windowStyle = wxDEFAULT_DIALOG_STYLE);

    void OnOK(wxCommandEvent& event);
    void OnExit(wxCommandEvent& event);
    void OnCloseWindow(wxCloseEvent& event);
    void Init(void);
	void update();
	void update(const string&);
	void update(const char *);

	static string startupWarning;
	static string startupWarning2;
	
	DECLARE_EVENT_TABLE()

};


